import * as enumConfig from '../../config/enum';

function setEnumInterface(enumConfig) {
    let dataList = [];
    for (let key in enumConfig) {
        let anyKey:any = key;
        if (isNaN(anyKey)) {
            let keyStr = key;
            let value = enumConfig[key];
            if(/_dou/.test(keyStr)) keyStr = keyStr.replace(/_dou/, "，");
            if(/_zyh/.test(keyStr)) keyStr = keyStr.replace(/_zyh/, "“");
            if(/_yyh/.test(keyStr)) keyStr = keyStr.replace(/_yyh/, "”");
            if(/_dun/.test(keyStr)) keyStr = keyStr.replace(/_dun/, "、");
            if(/_ju/.test(keyStr)) keyStr = keyStr.replace(/_ju/, "。");
            if(/_hgh/.test(keyStr)) keyStr = keyStr.replace(/_hgh/, "-");
            if(/_kbh/.test(keyStr)) keyStr = keyStr.replace(/_kbh/, "");
            dataList.push({key:keyStr, value});
        }
    }
    return {dataList};
}

export const FirstName = '公共接口';
export const FirstRouter = '/public';
export const Config = {
    "下拉框数据":[
        {
            apiName:"性别",
            subUrl:'/sex', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.SEX)
        },
        {
            apiName:"会员类型",
            subUrl:'/membertype', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.MEMBERTYPE)
        },
        {
            apiName:"专业类别",
            subUrl:'/profcategory', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.PROFCATEGORY)
        },
        {
            apiName:"内容管理banner位置",
            subUrl:'/position', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.BANNERPOSITION)
        },
        {
            apiName:"内容管理文章位置",
            subUrl:'/articleposition', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.ARTICLEPOSITION)
        },
        {
            apiName:"内容管理视频位置",
            subUrl:'/videoposition', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.VIDEOPOSITION)
        },
        {
            apiName:"年筛选",
            subUrl:'/years',
            param:[],
            bindBiz:setEnumInterface(enumConfig.YEARENUM)
        },
        {
            apiName:"作品类型",
            subUrl:'/typeofworks', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.TYPEOFWORKS)
        },
        {
            apiName:"参会人员",
            subUrl:'/codparticipant', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.CODPARTICIPANT)
        },
        {
            apiName:"分委会职务",
            subUrl:'/committeemember', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.COMMITTEEMEMBER)
        },
        {
            apiName:"下载专区分类",
            subUrl:'/dwtype', 
            param:[],
            bindBiz:setEnumInterface(enumConfig.DWTYPE)
        },
    ],
}

